-- --------------------
-- VERFEINERUNGSSCHRITT
-- --------------------

-- SDO_RELATE

-- Rechteckanfrage auf Tabelle "GeoDbLand":
SELECT name
FROM GeoDbLand
WHERE SDO_RELATE (geo, SDO_GEOMETRY('POLYGON((5 5, 5 15, 15 15, 15 5, 5 5))'),
                  'mask=ANYINTERACT') = 'TRUE';

-- analog:
SELECT name
FROM GeoDbLand
WHERE SDO_ANYINTERACT (geo, SDO_GEOMETRY('POLYGON((5 5, 5 15, 15 15, 15 5, 5 5))')) = 'TRUE';

-- Inside:
SELECT name
FROM GeoDbLand
WHERE SDO_INSIDE (geo, SDO_GEOMETRY('POLYGON((5 5, 5 15, 15 15, 15 5, 5 5))')) = 'TRUE';

-- SDO_WITHIN_DISTANCE

SELECT netz.name, SDO_GEOM.SDO_DISTANCE(netz.gebiet,gem.centrum,1e-5,'unit=km')
FROM Ortsnetze netz INNER JOIN Gemeinden gem
ON SDO_WITHIN_DISTANCE (netz.gebiet, gem.centrum,'distance=5 unit=km') = 'TRUE'
WHERE gem.name = 'Bad Zwischenahn';
